Name:           python-polyagamma
Version:        2.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Efficiently generate samples from the Polya-Gamma distribution using a NumPy/SciPy compatible interface.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zoj613/polyagamma
Source:         %{pypi_source polyagamma}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'polyagamma' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-polyagamma
Summary:        %{summary}

%description -n python3-polyagamma %_description


%prep
%autosetup -p1 -n polyagamma-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-polyagamma -f %{pyproject_files}


%changelog
%autochangelog